{*********************************************************
* Copyright (c) 2009 PHPLDTemplates.com
* Theme Author: http://www.PHPLDTemplates.com
* Theme URL: http://www.phpldtemplates.com/2009/12/free-phpld-template-businessm-1-multi-color-template/
* Report bug: Please email contact @ PHPLDTemplates.com
* License: Free, provided user keeps the footer links intake. Not to be resold.
* More free phpld templates are available at http://www.PHPLDTemplates.com
* 
**********************************************************}
{* Calculate title from path *}
{capture name="title"}
   {if count($path) > 1} - {/if}
   {foreach from=$path item=ctg name=path}
      {if $smarty.foreach.path.iteration gt 2}
         &gt;
      {/if}
      {if not $smarty.foreach.path.first}
         {$ctg.TITLE}
      {/if}
   {/foreach}
{/capture}

{strip}
{if $title_prefix}
   {assign var="in_page_title" value=$title_prefix|cat:$category.TITLE}
{else}
   {assign var="in_page_title" value=$category.TITLE}
{/if}
{assign var="description" value=$category.DESCRIPTION}
{assign var="tdescription" value=$category.TDESCRIPTION}
{assign var="catcontent" value=$category.CATCONTENT}
{include file="header.tpl" article=$article}

{include file="top_bar.tpl"}

{if !$uid & !$search & empty($category.ID) & !$list & $scriptname == "index"}
	<div class="post-bg">	
		<h3>{l}Home{/l}</h3> 

		{$maincontent}
	</div>
{/if}


{if !empty($category.ID) && (!empty($category.DESCRIPTION) || !empty($category.TITLE))}
	<div class="post-bg">	
		<h3>{l}Description{/l}</h3>



		{if !empty($catcontent) }
			{$catcontent}
		{else}

			<div class="catheading">{l}Parent Category{/l}: <span id="main_title">{$category.TITLE}</span></div>

  			<div style="float: right">
				{if $rights.editCat eq 1}
					<a href="{$smarty.const.DOC_ROOT}/inplace_editcat.php?ID={$category.ID}&detail=1&TB_iframe=true&height=400&width=600" class="thickbox" onclick="return showThickbox(this);">
						<img src="{$smarty.const.DOC_ROOT}/templates/{$smarty.const.USE_TEMPLATE}/images/edit.gif" width="14" height="14" style="border: none;" alt="edit category"/>
					</a>
				{/if}

				{if $rights.delCat eq 1}
					<a href="{$smarty.const.DOC_ROOT}/inplace_editcat.php?ID={$category.ID}&mode=del&detail=1&TB_iframe=true&height=100&width=250" class="thickbox" onclick="{literal}question = confirm('Are you sure you want to delete this category?');if (question !='0'){return showThickbox(this);} else return false;{/literal}">
						<img src="{$smarty.const.DOC_ROOT}/templates/{$smarty.const.USE_TEMPLATE}/images/delete.gif" width="14" height="14" style="border: none;" alt="delete link"/> 
					</a>

					{if ($category.STATUS<2) && $rights.editCat eq 1}
						<a href="{$smarty.const.DOC_ROOT}/inplace_editcat.php?ID={$category.ID}&mode=active&detail=1&TB_iframe=true&height=100&width=250" class="thickbox" onclick="{literal}question = confirm('Are you sure you want to make this category active?');if (question !='0'){return showThickbox(this);} else return false;{/literal}">
							<img src="{$smarty.const.DOC_ROOT}/templates/{$smarty.const.USE_TEMPLATE}/images/active.gif" width="14" height="14" style="border: none;" alt="category is inactive" class="float_tiny"/>
						</a>
					{/if}
				{/if}
			</div>
  
			{$category.DESCRIPTION}
		{/if}

	</div>
{/if}

{* Calculate the number of categories per row *}
   {php}
      $this->assign('cats_per_col', ceil(count($this->get_template_vars('categs')) / CATS_PER_ROW));
   {/php}

{if $cats_per_col > 15}
   {php}
      $this->assign('cats_per_col', ceil(count($this->get_template_vars('categs')) / (CATS_PER_ROW + 1)));
   {/php}
{/if}


{* Calculate the number of categories per row *}
   {php}
      $this->assign('cats_per_col', ceil(count($this->get_template_vars('categs')) / CATS_PER_ROW));
   {/php}

{if $cats_per_col > 15}
   {php}
      $this->assign('cats_per_col', ceil(count($this->get_template_vars('categs')) / (CATS_PER_ROW + 1)));
   {/php}
{/if}

{* Show category search results *}
{if $search_category}
<div class="post-bg">
   {$search_category}
</div>
{/if}



{if isset($have_search_results) and $have_search_results == 0}
   <div style="padding: 5px 10px;">
      <p>{l}Sorry, no records found that match your keyword(s){/l}: "{$search|escape|wordwrap:200:"\n":true}"</p>
      <p>{l}Suggestions{/l}:</p>

         <ul>
            <li>{l}Make sure all words are spelled correctly{/l}.</li>
            <li>{l}Try different keywords{/l}.</li>
            <li>{l}Try more general keywords{/l}.</li>
         </ul>

   </div>
{/if}

{* Categories *}
{if !empty($categs)}
<div class="post-bg">
	<h3>{l}Category{/l}</h3>


   <table align="center" border="0" cellpadding="0" cellspacing="2" class="cats">
   <tr>
      {foreach from=$categs item=cat name=categs}
      {if ($smarty.foreach.categs.iteration mod $cats_per_col eq 1 and $cats_per_col gt 1) or $smarty.foreach.categs.first}<td>{/if}
      <h2><a href="{$smarty.const.DOC_ROOT}/{$cat.CACHE_URL|escape}" title="{$cat.TITLE|escape}">{$cat.TITLE|escape}</a>{if $smarty.const.CATS_COUNT} <span class="count">({$cat.COUNT})</span>{/if}</h2>

      {* Display subcategories *}
      {if !empty($cat.SUBCATS)}
      <div class="subcats">
         {foreach from=$cat.SUBCATS item=scat name=scategs}
            <a href="{$smarty.const.DOC_ROOT}/{$scat.CACHE_URL|escape}">
            {$scat.TITLE|escape}</a>, {/foreach} ...
      </div>
      {/if}
      {if ($smarty.foreach.categs.iteration mod $cats_per_col eq 0 and $cats_per_col gt 1) or $smarty.foreach.categs.last}</td>{/if}
      {/foreach}
   </tr>
   </table>
</div>
{else}
	{if empty($feat_links) and empty($links) and empty($articles) and !$uid and !$search}
		&nbsp;
	{/if}
{/if}

{if $smarty.const.FTR_ENABLE == 1 and !empty($feat_links)}
<div class="post-bg">
	<h3>{l}Featured Links{/l}</h3>

	<table class="featlink">	
   		{foreach from=$feat_links item=link name=links}
      		{include file="link.tpl" link=$link}
   		{/foreach}
	</table>
</div>
{/if}

{* Links heading and sorting*}
{if ($uid or $search or !empty($category.ID) or $list) and !empty($links)}
<div class="post-bg">
	<h3>{l}Links{/l} {if not $list}<span class="small"x>{l}Sort by{/l}:
	{if $smarty.const.ENABLE_PAGERANK and $smarty.const.SHOW_PAGERANK}{if $sort eq 'P'}<span class="sort"> {l}PageRank{/l}</span>{else}<a href="{if $smarty.const.ENABLE_REWRITE}{$smarty.const.DOC_ROOT}/{$category.CACHE_URL|escape}{/if}{if $smarty.const.ENABLE_REWRITE && !empty($p)}page-{$lp}.html{/if}?s=P{if not $smarty.const.ENABLE_REWRITE}&amp;c={$category.ID}{/if}{if $search}&amp;search={$search}{/if}{if $uid}&amp;uid={$uid}{/if}{if !empty($p) && !$smarty.const.ENABLE_REWRITE}&amp;p={$p}{/if}"> {l}PageRank{/l}</a>{/if} |{/if}
	{if $sort eq 'H'} <span class="sort">{l}Hits{/l}</span>{else} <a href="{if $smarty.const.ENABLE_REWRITE}{$smarty.const.DOC_ROOT}/{$category.CACHE_URL|escape}{/if}{if $smarty.const.ENABLE_REWRITE && !empty($p)}page-{$lp}.html{/if}?s=H{if not $smarty.const.ENABLE_REWRITE}&amp;c={$category.ID}{/if}{if $search}&amp;search={$search}{/if}{if $uid}&amp;uid={$uid}{/if}{if !empty($p) && !$smarty.const.ENABLE_REWRITE}&amp;p={$p}{/if}">{l}Hits{/l}</a>{/if}
	{if $sort eq 'A'} | <span class="sort">{l}Alphabetical{/l}</span>{else} | <a href="{if $smarty.const.ENABLE_REWRITE}{$smarty.const.DOC_ROOT}/{$category.CACHE_URL|escape}{/if}{if $smarty.const.ENABLE_REWRITE && !empty($p)}page-{$lp}.html{/if}?s=A{if not $smarty.const.ENABLE_REWRITE}&amp;c={$category.ID}{/if}{if $search}&amp;search={$search}{/if}{if $uid}&amp;uid={$uid}{/if}{if !empty($p) && !$smarty.const.ENABLE_REWRITE}&amp;p={$p}{/if}">{l}Alphabetical{/l}</a>{/if}
	</span>{/if}</h3>

	<table class="reglink">

   {foreach from=$links item=link name=links}
      {include file="link.tpl" link=$link item=$smarty.foreach.links.index}
   {/foreach}

	</table>
</div>
{/if}

{if !empty($feeds)}
<div class="post-bg">
	<h3>{l}News{/l}</h3>

	{foreach from=$feeds item=feed}
		{include file="feed.tpl" feed=$feed item=$smarty.foreach.feeds.index}
	{/foreach}

</div>
{/if}

{if empty($feeds) and $category.ID gt 0}<div class="addlinks">{l}No News In This Category{/l}</div>{/if}

{if empty($links) and $category.ID gt 0 and empty($feat_links) and $MainPaging.page_total <= 1} <div class="addlinks"> {l} No Links In This Category{/l}<a href="{$smarty.const.DOC_ROOT}/submit.php?id={$category.ID}"> {l}Add A Link Today{/l}.</a></div>{/if}

{*no articles in category*}
{if empty($articles)  and $category.ID gt 0 and $MainPaging.page_total <= 1} <div class="addlinks">{l} No Articles In This Category {/l}<a href="{$smarty.const.DOC_ROOT}/submit_article.php?id={$category.ID}"> {l}Add An Article Today{/l}.</a></div>{/if}
{if $search_news}
<div class="post-bg">
	{$search_news}
</div>
{/if}

{* Show article search results *}
{if $search_article}
<div class="post-bg">
   {$search_article}
</div>
{/if}

{* Articles heading *}
{if !empty($articles)}
<div class="post-bg">
	<h3>{l}Articles{/l}</h3>

     	<table class="articles">
	     	{foreach from=$articles item=article name=name}
         		{include file="articlelink.tpl" link=$article item=$smarty.foreach.name.index}
      	{/foreach}

      </table>
</div>
{/if}

{* Javascript for tracking link clicks *}
{if $StopLinkHits eq 0}
   <script type="text/javascript">
   /* <![CDATA[ */
      var root = '{$smarty.const.DOC_ROOT}';
      {literal}
      var a = document.getElementsByTagName("a");
      for(i = 0; i< a.length; i++)
         if(a[i].id != '')
            a[i].onclick = count_link;
      function count_link() {
         i = new Image();
         i.src= root+'/cl.php?id='+this.id;
         return true;
      }
      {/literal}
   /* ]]> */
   </script>
{/if}

{include file="footer.tpl"}
{/strip}